aboutsummaryrefslogtreecommitdiff
path: root/test/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-02 16:48:09 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-02 16:48:09 +1200
commit9b351af1dbbcb92e200476140199fd29872a6487 (patch)
tree8f0ce4d1d5857a9452177d740441a25709fc2b23 /test/bin
parentOrder lint subtargets alphabetically (diff)
downloaddotfiles-9b351af1dbbcb92e200476140199fd29872a6487.tar.gz
dotfiles-9b351af1dbbcb92e200476140199fd29872a6487.zip
Add tests for awk/sed scripts
Diffstat (limited to 'test/bin')
-rwxr-xr-xtest/bin4
1 files changed, 4 insertions, 0 deletions
diff --git a/test/bin b/test/bin
index c514495a..ba3788bc 100755
--- a/test/bin
+++ b/test/bin
@@ -4,6 +4,10 @@ for bin in bin/* ; do
bash -n "$bin" || exit 1
elif sed 1q "$bin" | grep -q 'sh$' ; then
sh -n "$bin" || exit 1
+ elif sed 1q "$bin" | grep -q 'awk -f$' ; then
+ "$bin" /dev/null >/dev/null || exit 1
+ elif sed 1q "$bin" | grep -q 'sed -f$' ; then
+ "$bin" /dev/null >/dev/null || exit 1
fi
done
printf 'All shell scripts in bin parsed successfully.\n'